%define iconname	%{name}.png

Summary:	A collection manager
Name:		tellico
Epoch:		3
Version:	3.0.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Databases
URL:		http://tellico-project.org/
Source:		http://www.tellico-project.org/files/%{name}-%{version}.tar.xz
Patch0:		tellico-3.0.1-qimageblitz5.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5Codecs)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5ConfigWidgets)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5GuiAddons)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5ItemModels)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Solid)
BuildRequires:	cmake(KF5Wallet)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5WindowSystem)
BuildRequires:	cmake(KF5XmlGui)

BuildRequires:	cmake(KF5KHtml)
BuildRequires:	cmake(KF5FileMetaData)
BuildRequires:	cmake(KF5NewStuff)
BuildRequires:	cmake(KF5Sane)
BuildRequires:	cmake(KF5Cddb)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(qimageblitz5)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(yaz)
BuildRequires:	pkgconfig(exempi-2.0)
BuildRequires:	pkgconfig(libdvbv5)
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	gettext-devel
BuildRequires:	imagemagick

Requires:	plasma-workspace

%description
Tellico is a collection manager for KDE. It includes default collections for
books, bibliographies, comic books, videos, music, coins, stamps, trading
cards, and wines, and also allows custom collections. Unlimited user-defined
fields are allowed. Filters are available to limit the visible entries by
definable criteria. Full customization for printing is possible through
editing the default XSLT file. It can import CSV, Bibtex, and Bibtexml and
export CSV, HTML, Bibtex, Bibtexml, and PilotDB. Entries may be imported
directly from different web services such as amazon.com.

%files -f %{name}.lang
%doc AUTHORS ChangeLog
%{_kf5_sysconfdir}/xdg/%{name}*
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/mime/packages/%{name}.xml
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kconf_update/%{name}*
%{_kf5_datadir}/config.kcfg/%{name}_config.kcfg
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_iconsdir}/hicolor/*/*/*.png

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
# does debug
perl -pi -e 's/#if 0/#if 1/' src/fetch/amazonfetcher.cpp
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --with-html


%changelog
* Sun Feb 26 2017 daviddavid <daviddavid> 3:3.0.1-1.mga6
+ Revision: 1087892
- new version: 3.0.1
- reenable QImageBlitz support (now ported to Qt5)

* Sun Dec 25 2016 daviddavid <daviddavid> 3:3.0-2.mga6
+ Revision: 1077274
- rebuild for new libkcddb

* Fri Dec 16 2016 daviddavid <daviddavid> 3:3.0-1.mga6
+ Revision: 1075579
- new version: 3.0
- port to Kf5/Qt5

* Mon Nov 28 2016 luigiwalser <luigiwalser> 3:2.3.11-3.mga6
+ Revision: 1070645
- rebuild for poppler

* Wed Feb 17 2016 umeabot <umeabot> 3:2.3.11-2.mga6
+ Revision: 963046
- Mageia 6 Mass Rebuild

* Wed Dec 16 2015 bcornec <bcornec> 3:2.3.11-1.mga6
+ Revision: 911112
- Updated to tellico upstream 2.3.11

* Fri Nov 06 2015 jquelin <jquelin> 3:2.3.10-2.mga6
+ Revision: 898074
- force rebuild due to missing autodep

* Mon Feb 16 2015 bcornec <bcornec> 3:2.3.10-1.mga5
+ Revision: 815113
- Update to upstream 2.3.10

* Wed Oct 15 2014 umeabot <umeabot> 3:2.3.9-4.mga5
+ Revision: 744820
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Jul 04 2014 bcornec <bcornec> 3:2.3.9-2.mga5
+ Revision: 643050
- Fix dependency on i586 libs by using %%mklibname

* Wed Jul 02 2014 bcornec <bcornec> 3:2.3.9-1.mga5
+ Revision: 642213
- Update to tellico upstream 2.3.9

* Thu Mar 13 2014 bcornec <bcornec> 3:2.3.8-3.mga5
+ Revision: 602761
- Adds dependency to tellico to make it more useful and compatible with mga3 (cddb was missing now, v4l is added)

* Sat Oct 19 2013 umeabot <umeabot> 3:2.3.8-2.mga4
+ Revision: 529321
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 bcornec <bcornec> 3:2.3.8-1.mga4
+ Revision: 451530
- Update to upstream 2.3.8

* Thu Jan 31 2013 bcornec <bcornec> 3:2.3.7-1.mga3
+ Revision: 393627
- Update to upstream tellico 2.3.7

* Mon Jan 14 2013 umeabot <umeabot> 3:2.3.6-2.mga3
+ Revision: 384340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dams <dams>
    - clean specfile

  + mikala <mikala>
    - Add requires for kcm_cddb (need to ensure that you can configure kcddb)

* Thu Jul 19 2012 fwang <fwang> 3:2.3.6-1.mga3
+ Revision: 272388
- new version 2.3.6

* Tue Jul 03 2012 fwang <fwang> 3:2.3.5-4.mga3
+ Revision: 266903
- more br

* Tue Jul 03 2012 fwang <fwang> 3:2.3.5-3.mga3
+ Revision: 266883
- update br

* Wed Jun 13 2012 fwang <fwang> 3:2.3.5-2.mga3
+ Revision: 260190
- rebuild for new poppler

* Tue Jan 17 2012 bcornec <bcornec> 3:2.3.5-1.mga2
+ Revision: 197114
- Updated tellico to 2.3.5 upstream
- Recert previous modifications which were already the right one. Sorry for the error
- And update the taf as well :-(
- Update build-requires for tellico

* Mon Oct 10 2011 bcornec <bcornec> 3:2.3.4-2.mga2
+ Revision: 153612
- Forgot to bump %%mkrel to 2
- Add a patch which fixes wrong booleans handling in 2.3.4 (from the 2.3.5 tree)

* Fri Oct 07 2011 fwang <fwang> 3:2.3.4-1.mga2
+ Revision: 152726
- upload tarball
- upload tarball

  + bcornec <bcornec>
    - Update to 2.3.4 upstream

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Wed Jul 06 2011 mikala <mikala> 3:2.3.3-2.mga2
+ Revision: 119449
- Fix BuildRequires ( use libksane-devel instead of kdegraphics4-devel)

* Sat Apr 30 2011 ahmad <ahmad> 3:2.3.3-1.mga1
+ Revision: 93863
- Readd the Epoch dropped on initial import so that the package can be updated
  when upgrading from mdv 2010.1

* Mon Apr 11 2011 dmorgan <dmorgan> 2.3.3-1.mga1
+ Revision: 83160
- New version 2.3.3

* Sat Feb 12 2011 bcornec <bcornec> 2.3.2-1.mga1
+ Revision: 50902
- Created package structure for tellico.

